Subject: Re: [ANNOUNCE] Git wiki

From: Theodore Tso <[email-masked]>
Date: Wed, 3 May 2006 13:15:38 -0400

On Wed, May 03, 2006 at 10:06:25AM -0700, Linus Torvalds wrote:
> Even the "everyday git in 20 commands" actually starts out scaring people 
> with listing commands that they don't need to know about immediately. The 
> whole fsck/count-object/pruning thing shouldn't even be mentioned until 
> after you've shown how easy it is to just do
> 
> 	git init-db
> 	git add .
> 	git commit -a
> 
> to import an old project, and then do an example commit or something 
> (one of the early examples).

Yeah, but the fact that you have to use repack and prune in order to
keep the disk space usage from exploding (especially with the Linux
2.6 tree) , means that we have to expose that mess to the beginning
user.  Could git be made to do the repacking automatically when it
makes sense using some hueristic algorithm?

						- Ted